LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices

Reply
 
Search this Thread
Old 12-11-2006, 09:38 PM   #1
litlmary
Member
 
Registered: May 2005
Location: Texas, somewhere near Houston (I think)
Distribution: See my sig
Posts: 304

Rep: Reputation: 30
Suse 10.2 = Python 2.5 = pooched DeVeDe?


The packman binary of DeVeDe calls for Python >=2.4

Suse 10.1 used exactly that and DeVeDe worked great. Suse 10.2 includes Python 2.5 and now trying to run DeVeDe from the command line nets:
Code:
/usr/bin/env: python2.4: No such file or directory
A downgrade of Python would be crazy, as this would wipe out half of my apps that depend on 2.5.

Any ideas on how to smooth this out?

tia,

J
 
Old 12-12-2006, 08:53 PM   #2
litlmary
Member
 
Registered: May 2005
Location: Texas, somewhere near Houston (I think)
Distribution: See my sig
Posts: 304

Original Poster
Rep: Reputation: 30
Hmmm. No thoughts yet? Perhaps another forum?

Mods: care to move me where I will get better exposure?

J
 
Old 12-13-2006, 01:13 AM   #3
Baldrick65
Member
 
Registered: Aug 2003
Location: Dunedin NZ
Distribution: Mint 13 Cinnamon
Posts: 653

Rep: Reputation: 31
I had the same prob ... just symlink the /usr/lib/python2.5 directory to /usr/lib/python2.4 and you should be set to go.

Baldrick
 
Old 12-13-2006, 10:39 AM   #4
litlmary
Member
 
Registered: May 2005
Location: Texas, somewhere near Houston (I think)
Distribution: See my sig
Posts: 304

Original Poster
Rep: Reputation: 30
No such luck

What else can I try?

J
 
Old 12-13-2006, 10:17 PM   #5
litlmary
Member
 
Registered: May 2005
Location: Texas, somewhere near Houston (I think)
Distribution: See my sig
Posts: 304

Original Poster
Rep: Reputation: 30
Got a good fix here!!! :)

Thanks to the very kind help of the man who develops DeVeDe I have created a revised version of the program that will work on Suse 10.2 until the next release (in which he promises to have the bug fixed).

DO NOT use a precompiled binary of the current release with python 2.5 installed. The current release looks specifically for python 2.4 and freaks out (as you see above).

Download my revised package at:
http://litljay.com/devede/devede26-suse10.2.tar.bz2(the server is slow right now so be patient)

Uninstall any other version using smart or yast or whatever.

Uncompress my file from above, run ./install.sh as root, and run devede from the command line.

Life should be good until the next release appears as a binary in the packman repo (or wherever). Then go back to the directory where you uncompressed it and run ./uninstall.sh before installing the binary.

In the meantime you can add it to your Kmenu if you want...

J
 
Old 12-20-2006, 11:33 PM   #6
litlmary
Member
 
Registered: May 2005
Location: Texas, somewhere near Houston (I think)
Distribution: See my sig
Posts: 304

Original Poster
Rep: Reputation: 30
DeVeDe 2.8 has none of the bugs and all of the meat (so to speak).

For my Suse install, the precompiled binary in the Packman repo works great if you prefer using a package manager. It is only in the Suse 10.1 repo, though. I don't know if there are plans to add it to the 10.2 repo at some point.

Anyways, the link above is no more good, since the latest version gets you where you need to be

J
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
DeVeDe wont build thebiggiantmouse Slackware 5 11-30-2006 05:03 AM
DeVeDe: 6 hours for 0 byte ! joe2280 Linux - Software 0 06-27-2006 06:42 AM
Pooched MBR trying to turn DMA on grayhound Linux - Hardware 2 07-20-2004 01:02 AM
playing with iptables pooched fedora Zaius Linux - Newbie 2 01-24-2004 10:50 AM
XFree86 pooched... how to fix ? peter_greis Red Hat 1 11-02-2003 09:02 PM


All times are GMT -5. The time now is 08:42 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration